<?php
/**
 * @brief		Dashboard extension: Helpful Links
 * @author		<a href='http://www.invisionpower.com'>Invision Power Services, Inc.</a>
 * @copyright	(c) 2001 - SVN_YYYY Invision Power Services, Inc.
 * @license		http://www.invisionpower.com/legal/standards/
 * @package		IPS Social Suite
 * @since		03.10.2015
 * @version		SVN_VERSION_NUMBER
 */

namespace IPS\core\extensions\core\Dashboard;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * @brief	Dashboard extension: Helpful Links
 */
class _HelpfulLinks
{
	/**
	* Can the current user view this dashboard item?
	*
	* @return	bool
	*/
	public function canView()
	{
		return TRUE;
	}

	/**
	 * Return the block to show on the dashboard
	 *
	 * @return	string
	 */
	public function getBlock()
	{
		return '
		<div class="ipsGrid ipsGrid_collapseTablet">
			<div class="ipsGrid_span6 ipsType_center">
				<a class="ipsButton ipsButton_medium ipsButton_alternate ipsButton_fullWidth" href="http://ipbmafia.ru/files/file/1559-ips-community-suite-412-russkiy-yazykovoy-paket/" target="_blank"><i class="ipsFlag ipsFlag-ru"></i>Русский языковой пакет</a>
			</div>

			<div class="ipsGrid_span6 ipsType_center">
				<a class="ipsButton ipsButton_medium ipsButton_alternate ipsButton_fullWidth" href="http://ipbmafia.ru/forum/104-tehnicheskaya-podderzhka-ips-community-suite-4/" target="_blank">Бесплатная поддержка</a>
			</div>
		</div>
		';
	}
}